# Uses of Class
javax.swing.plaf.metal.MetalTheme

Packages that use MetalTheme
Package
Description
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of MetalTheme in javax.swing.plaf.metal

Subclasses of MetalTheme in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`DefaultMetalTheme`
A concrete implementation of `MetalTheme` providing the original look of the Java Look and Feel, code-named "Steel".
`class`
`OceanTheme`
The default theme for the `MetalLookAndFeel`.
Methods in javax.swing.plaf.metal that return MetalTheme
Modifier and Type
Method
Description
`static MetalTheme`
MetalLookAndFeel.`getCurrentTheme()`
Return the theme currently being used by `MetalLookAndFeel`.
Methods in javax.swing.plaf.metal with parameters of type MetalTheme
Modifier and Type
Method
Description
`static void`
MetalLookAndFeel.`setCurrentTheme(MetalTheme theme)`
Set the theme used by `MetalLookAndFeel`.